<?php
session_start();
	if (isset($_SESSION['nazwa']))  {
		require_once('wa_polacz.php');
		date_default_timezone_set('Europe/Warsaw');
		$id = $_SESSION['id'];
		$zap = "UPDATE users_online SET 
				last_time=NOW() WHERE id_user=$id";
		$wykonaj = mysqli_query($db, $zap);
		//Pobranie nazw uzytkownikow online
		$zap = "SELECT id_user, name FROM users_online WHERE timediff(NOW(), last_time)<16";
		$wynik_pobierz = mysqli_query($db, $zap);
		$lo = $wynik_pobierz->num_rows;
		$wynik = array();
			while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
			{
				$wynik[] = $wiersz;
			}
		unset($_SESSION['user_on']);
		for ($i=0; $i<$lo; $i++) {
			$_SESSION['user_on'][$i][0]=$wynik[$i][0];
			$_SESSION['user_on'][$i][1]=$wynik[$i][1];
		}
		$wynik_pobierz->free_result();
		mysqli_close($db);
		echo json_encode($wynik);
	}	
?>